## Bsoft program

# radon

### Usage: radon [options] input.img output.img

Program to do radon transforms.
Full transform: 2PI*2PI Quarter transform: PI*PI Types of forward radon transformation: 1 From 3D structure to single axis proj. 2 From single axis proj. to quarter radon transform 3 From 3D structure to full radon transform 4 From 3D structure to quarter radon transform Types of backward radon transformation: 1 From single axis proj. to 3D structure 2 From quarter radon transform to single axis proj. 3 From full radon transform to 3D structure 4 From quarter radon transform to 3D structure POCS specifications: POCS filter works only on cube quarter radon transform, that means theta = 2 * side of the cubic 3D structure map. Side must be equal to a power of 2. If radon transform has holes, POCS filter needs mask file.

### Actions:

-forward 4 | Forward radon transform (default not)
-pocs 5,5,30,30,0 | POCS density modification on radon transform (default not)
| Parameters (in order): outer cycles, inner cycles,
| 3D limit, projection limit, support for finite extension
-backward 4 | Backward radon transform (default not)

### Parameters:

-verbose 7 | Verbosity of output
-datatype u | Force writing of a new data type (default output floating point)
-theta 64 | Number of angles (default 2*ncol)
-kernel 15,4 | Kernel size and power (default 11,2)
-nopadding | Turn off padding (default on)

### Input:

-mask mask.map | Binary mask for POCS filter

Bsoft version 2.0.3-20180917 (64 bit)